#include "cmdtab.h"

extern void cmd_blankchk();
extern void cmd_crc32();
extern void cmd_jump();
extern void cmd_r8();
extern void cmd_r16();
extern void cmd_r32();
extern void cmd_w8();
extern void cmd_w16();
extern void cmd_w32();

extern void cmd_baud_switch();
extern void cmd_memdump_human();
extern void cmd_memdump_machine();
extern void cmd_memload();

const struct cmdtab cmdtab[] = {
	{"DUMP", cmd_memdump_machine},
	{"ML", cmd_memload},
	{"baud", cmd_baud_switch},
	{"blankchk", cmd_blankchk},
	{"crc32", cmd_crc32},
	{"dump", cmd_memdump_human},
	{"jump", cmd_jump},
	{"r8", cmd_r8},
	{"r16", cmd_r16},
	{"r32", cmd_r32},
	{"w8", cmd_w8},
	{"w16", cmd_w16},
	{"w32", cmd_w32},
	{0, 0}
};
