/*
 * This module contains the loadtool_cmd_passthru() function,
 * which implements the simplest commands that pass directly
 * through to loadagent.
 */

#include <stdio.h>

loadtool_cmd_passthru(argc, argv)
	char **argv;
{
	if (tpinterf_make_cmd(argv) < 0) {
		fprintf(stderr, "error: unable to form target command\n");
		return(-1);
	}
	if (tpinterf_send_cmd() < 0)
		return(-1);
	return tpinterf_pass_output(1);
}
